slices:
   sliced:
      id: 1
      name: large_scale_service_slice
      short-name: large
      description: large scale service experiment 
      version: '1.0'

      slice-constraints:
         geographic: [EUROPE]
         dc-slice-parts: 1  # Could be a constraint on values.
         edge-slice-parts: 2 
         net-slice-parts: 2

      slice-requirements:
         elasticity: true
         reliability:
            description: reliability level
            enabled: true
            value: none   # {path-backup, logical-backup, physical-backup\}

      slice-lifecycle:
         description: lifecycle status
         status: construction    # {modification, activation, deletion\}

      cost:
         dc-model:
            model: COST_PER_PHYSICAL_MACHINE_PER_DAY
            value-euros: {lower_than_equal: 10}
         net-model:
            model: COST_PER_LINK_PER_DAY
            value-euros: {lower_than_equal: 50}

      slice-timeframe:
         service-start-time: {100919: 10 pm}
         service-stop-time: {101019: 10 pm}

      slice-monitoring:
         engine: #where the lattice controller is up and running
           ip: clayone.ee.ucl.ac.uk
           port: 6666
         aggregator: # where the data consumer for the end-to-end slice will be deployed
           ip: clayone.ee.ucl.ac.uk
           port: 22998
         
         
      slice-parts:     
         - dc-slice-part:
             name: clay
             dc-slice-part-id:
                 slice-controller-id: claytwo
                 slice-part-uuid: 1
             type: DC
             location: EUROPE.UK

             cost:
                 dc-model:
                    model: COST_PER_PHYSICAL_MACHINE_PER_DAY
                    value-euros: 5
                         
             dc-slice-controller:
                 dc-slice-provider: UCL
                 ip: claytwo.ee.ucl.ac.uk
                 port: 7080

             #preferred placement of the abstraction 
             dc-slice-abstraction:
                 ip: claytwo.ee.ucl.ac.uk
                 port: 8887

             # check and simplify
             monitoring-parameters:
                tool: lattice
                measurements-db-ip: <X>
                measurements-db-port: <X>
                granularity-secs: 10
                type: host
                metrics:
                   - metric:
                        name: PERCENT_CPU_UTILIZATION        
                   - metric:
                        name: MEGABYTES_MEMORY_UTILIZATION        
                   - metric:
                        name: TOTAL_BYTES_DISK_IN        
                   - metric:
                        name: TOTAL_BYTES_DISK_OUT 
                   - metric:
                        name: TOTAL_BYTES_NET_RX 
                   - metric:
                        name: TOTAL_BYTES_NET_TX 

             VIM:
                 type: vlsp 
                 host-count: 1

     
         - attachment-points:
             ingress:
                   name: SAPin 
                   dc-slice-part: clay
                   port: 8855

             egress:
                   name: SAPout
                   dc-slice-part: clay
                   host: localhost
                   port: 8856
